server:
  port: 5566
  servlet:
    context-path: /shr

spring:
  mvc:
    view:
      prefix: /
      suffix: .jsp
    servlet:
      load-on-startup: 100

  thymeleaf:
    mode: HTML

  servlet:
    multipart:
      max-request-size: 100MB
      max-file-size: 100MB

#  datasource:
#    url: jdbc:mysql://127.0.0.1:3306/shr_server?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=CTT&allowPublicKeyRetrieval=true
#    username: root shr
#    password: 123456
#    driver-class-name: com.mysql.cj.jdbc.Driver

  datasource:
    url: jdbc:oracle:thin:@10.10.13.21:1521:orcl
    username: shr
    password: hd123
    driver-class-name: oracle.jdbc.driver.OracleDriver

mybatis-plus:
  mapper-locations: classpath*:/**/*Mapper.xml
  typeAliasesPackage: com.shr.model
  configuration:
    #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    mapUnderscoreToCamelCase: true